﻿<%@ Control Language="C#" Inherits="RSM.wvMultiInstance_Grid.DisplayPage" EnableViewState="true"
    AutoEventWireup="True" CodeBehind="wvMultiInstance_Grid.Display.ascx.cs" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="asiweb" Assembly="Asi.Web" Namespace="Asi.Web.UI.WebControls" %>
<!--
$URL: https://svn.mcgladreycloud.com/repos/NonClient/wvSuite/trunk/wvSuite/wvMultiInstance_Grid.Display.ascx $
$Rev: 10166 $
$Date: 2015-09-30 17:13:34 -0500 (Wed, 30 Sep 2015) $
-->
<asiweb:StyledLabel runat="server" ID="ConfigDisplay" CssClass="McGladreyVersion"/>
<asp:HyperLink runat="server" ID="bookmark"></asp:HyperLink>
<div class="error">
    <asp:Label runat="server" CssClass="Important Error" ID="lblLicenseError" Visible="false"/>
</div>

<asp:Panel ID="panContent" runat="server" Visible="true" CssClass="StandardPanel">
	<telerik:RadGrid AllowPaging="true" PageSize="10" ID="RADGrid" runat="server"
		AutoGenerateColumns="false" AllowSorting="true" AllowFilteringByColumn="false"
		EnableViewState="true" DataSourceID="GridDS" CssClass="wvMultiGrid">
		<MasterTableView DataSourceID="GridDS" AutoGenerateColumns="False"
			NoMasterRecordsText="No records found" CssClass="Grid" CommandItemDisplay="Top"
			EditMode="EditForms"  EnableViewState="true" GroupHeaderItemStyle-CssClass="GroupHead"
			ShowGroupFooter="false"  GroupsDefaultExpanded="true" DataKeyNames="SEQN"
			AllowAutomaticDeletes="True" AllowAutomaticInserts="True" AllowAutomaticUpdates="True">
			<Columns>
				<telerik:GridEditCommandColumn ButtonType="ImageButton" UniqueName="EditCommandColumn">
					<ItemStyle CssClass="MyImageButton" />
				</telerik:GridEditCommandColumn>
				<telerik:GridButtonColumn UniqueName="DeleteCommandColumn" CommandName="Delete" ButtonType="ImageButton" ConfirmText="Are you sure you want to delete this row of detail?"/>
			</Columns>
		</MasterTableView>
	</telerik:RadGrid>
</asp:Panel>

<asp:PlaceHolder ID="PlaceHolder1" runat="server" EnableViewState="true">
    <asp:SqlDataSource ID="GridDS" runat="server" EnableViewState="true">
        <InsertParameters/>
        <UpdateParameters>
            <asp:Parameter Name="pagekey" Type="Int32" />
        </UpdateParameters>
        <DeleteParameters>
            <asp:Parameter Name="pagekey" Type="Int32" />
        </DeleteParameters>
        <SelectParameters/>
    </asp:SqlDataSource>
</asp:PlaceHolder>